package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

/**
 * TGT已经配置的网关服务器
 * @author luyanchao
 */

@Table("storage_iscsi_port_gateway")
public class StorageIScsiPortGateway {

    @PK(value = PKStrategy.AUTO)
    private Long id; //
    @Column("iscsi_port_id")
    private Long iScsiPortId; // 存储iSCSI端口id  storage_iscsi_port.id
    @Column("server_id")
    private Long serverId; // 提供iSCSI服务的主机id  server.id

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getIScsiPortId() {
        return iScsiPortId;
    }

    public void setIScsiPortId(Long iScsiPortId) {
        this.iScsiPortId = iScsiPortId;
    }

    public Long getServerId() {
        return serverId;
    }

    public void setServerId(Long serverId) {
        this.serverId = serverId;
    }
}
